# Interface gmfPrintOptions

interface gmfPrintOptions {
defaultLayout: string;
fieldValues: {};
goodnessOfFit: number;
hiddenAttributes: string[];
legend: OptionsLegendType;
rotateMask: boolean;
scaleInput: boolean;
}

- Defined in src/options.js:597

#####
Index

### Properties

defaultLayout
fieldValues
goodnessOfFit
hiddenAttributes
legend
rotateMask
scaleInput

## Properties

### defaultLayout

defaultLayout: string

- Defined in src/options.js:601

### fieldValues

fieldValues: {}

optional. Key, value object to define default value in each of your print panel field. The key refers to the property's name of the field. Example: {'comments': 'demo', 'legend': false}. Doesn't work for the DPI and the scale. Server's values are used in priority.

#### Type declaration

- Defined in src/options.js:604

### goodnessOfFit

goodnessOfFit: number

- Defined in src/options.js:600

### hiddenAttributes

hiddenAttributes: string[]

The list of attributes that should be hidden.

- Defined in src/options.js:608

### legend

legend: OptionsLegendType

Options used to build the legend.

- Defined in src/options.js:599

### rotateMask

rotateMask: boolean

True to apply rotation on the mask instead of the map. By default, the map rotates.

- Defined in src/options.js:602

### scaleInput

scaleInput: boolean

- Defined in src/options.js:598